> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geopard-api-requests-overview/59.-query-get-asapplieddatasets.md).

# 59. Запрос: получить "AsAppliedDatasets"

Получить наборы данных As-Planted или As-Applied

Получите все «AsAppliedDatasets» для выбранного «Field». Наборы данных можно получить с помощью стандартных запросов GraphQL, например `getFarms` и `getFields` из связанного «Field».

{% hint style="warning" %}
«AsAppliedDataset» необходимо загрузить заранее.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    name
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        name
        number #общее количество геообъектов 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        атрибуты
        
        fullAttributes { #подробные сведения по каждому атрибуту
          name #ссылка на статистику >> атрибут
          transliteratedName
          fullName #корректное понятное человеку название
          unit#единицы измерения
        }

        usedMachines { #использованные машины
          id
          serial
          operatorId
        } 

        createdDate #дата и время создания сущности в GeoPard
        updatedDate #дата и время последнего обновления
        operationId
        operationType
        operationFileDate #дата и время создания файла; данные берутся из метаинформации 
        operationStartDate #дата начала операции; данные берутся из метаинформации
        
        statistics { #распределение значений для каждого атрибута
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        name
        number #общее количество геообъектов 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        атрибуты
        
        fullAttributes { #подробные сведения по каждому атрибуту
          name #ссылка на статистику >> атрибут
          transliteratedName
          fullName #корректное понятное человеку название
          unit#единицы измерения
        }

        usedMachines { #использованные машины
          id
          serial
          operatorId
        } 

        createdDate #дата и время создания сущности в GeoPard
        updatedDate #дата и время последнего обновления
        operationId
        operationType
        operationFileDate #дата и время создания файла; данные берутся из метаинформации 
        operationStartDate #дата начала операции; данные берутся из метаинформации
        
        statistics { #распределение значений для каждого атрибута
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geopard-api-requests-overview/59.-query-get-asapplieddatasets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
